commit:     6f315cfed4a16334e349c4fa68f80a4e970c5fb4
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed May 17 07:35:31 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Sep  9 11:48:44 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f315cfe

kde-apps/step: Fix configure with USE=-nls

Make missing 'po' subdirectory non-fatal.

Reported-by: Jaak Ristioja <jaak <AT> ristioja.ee>
Gentoo-bug: 618556

Package-Manager: Portage-2.3.5, Repoman-2.3.1

 kde-apps/step/step-17.08.1.ebuild | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/kde-apps/step/step-17.08.1.ebuild 
b/kde-apps/step/step-17.08.1.ebuild
index c121e41b44e..8a2c802d641 100644
--- a/kde-apps/step/step-17.08.1.ebuild
+++ b/kde-apps/step/step-17.08.1.ebuild
@@ -49,6 +49,10 @@ DEPEND="${RDEPEND}
 src_prepare() {
        kde5_src_prepare
 
+       # FIXME: Should be upstream in 17.08.2
+       sed -e 's/add_subdirectory( *po *)/ecm_optional_add_subdirectory(po)/' \
+               -i CMakeLists.txt || die
+
        # FIXME: Drop duplicate upstream
        sed -e '/find_package.*Xml Test/ s/^/#/' \
                -i stepcore/CMakeLists.txt || die

Reply via email to